eio_dup2
eio_fallocate
Eio Functions
PHP Manual

# eio_event_loop

(PECL eio >= 0.0.1dev)

eio_event_loop — Polls libeio until all requests proceeded

### Description

bool eio_event_loop ( void )

eio_event_loop() polls libeio until all requests proceeded.

### Parameters

This function has no parameters.

### Return Values

eio_event_loop() returns `TRUE` on success or `FALSE` on error.

### Examples

Example #1 eio_event_loop() example

`<?php
$temp_filename = "eio-temp-file.tmp";
touch($temp_filename);
/* Is called when eio_chmod() finished */
function my_chmod_callback($data, $result) {
global $temp_filename;
if ($result == 0 && !is_readable($temp_filename) && is_writable($temp_filename)) {
echo "eio_chmod_ok";
}
@unlink($temp_filename);
}
eio_chmod($temp_filename, 0200, EIO_PRI_DEFAULT, "my_chmod_callback");
eio_event_loop();
?>`

The above example will output something similar to:

    eio_chmod_ok

### See Also

- eio_poll

eio_dup2
eio_fallocate
Eio Functions
PHP Manual